org.springframework.data.jdbc.repository.query

## Class JdbcQueryMethod

- java.lang.Object
- - org.springframework.data.repository.query.QueryMethod
  - - org.springframework.data.jdbc.repository.query.JdbcQueryMethod

    public class JdbcQueryMethod
    extends QueryMethod

`QueryMethod` implementation that implements a method by executing the query from a `Query` annotation on that method. Binds method arguments to named parameters in the SQL statement.

Author:
  Jens Schauder, Kazuki Shimizu, Moises Cisneros, Hebert Coelho

### Constructor Summary

Constructors
Constructor and Description
`JdbcQueryMethod(Method method, RepositoryMetadata metadata, ProjectionFactory factory, NamedQueries namedQueries, MappingContext<? extends RelationalPersistentEntity<?>,? extends RelationalPersistentProperty> mappingContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected RelationalParameters` `createParameters(Method method)`
`RelationalEntityMetadata<?>` `getEntityInformation()`
`RelationalParameters` `getParameters()`
`boolean` `hasAnnotatedQuery()` Returns whether the method has an annotated query.
`boolean` `isModifyingQuery()` Returns whether the query method is a modifying one.

### Methods inherited from class org.springframework.data.repository.query.QueryMethod

`getDomainClass, getName, getNamedQueryName, getResultProcessor, getReturnedObjectType, isCollectionQuery, isPageQuery, isQueryForEntity, isSliceQuery, isStreamQuery, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcQueryMethod

    public JdbcQueryMethod(Method method,
                           RepositoryMetadata metadata,
                           ProjectionFactory factory,
                           NamedQueries namedQueries,
                           MappingContext<? extends RelationalPersistentEntity<?>,? extends RelationalPersistentProperty> mappingContext)

### Method Detail

#### createParameters

    protected RelationalParameters createParameters(Method method)

Overrides:
  `createParameters` in class `QueryMethod`

#### getEntityInformation

    public RelationalEntityMetadata<?> getEntityInformation()

Overrides:
  `getEntityInformation` in class `QueryMethod`

#### getParameters

    public RelationalParameters getParameters()

Overrides:
  `getParameters` in class `QueryMethod`

#### isModifyingQuery

    public boolean isModifyingQuery()

Returns whether the query method is a modifying one.

Overrides:
  `isModifyingQuery` in class `QueryMethod`
Returns:
  if it's a modifying query, return `true`.

#### hasAnnotatedQuery

    public boolean hasAnnotatedQuery()

Returns whether the method has an annotated query.

Returns: